package de.thomasjacob.improve.logic.user;

import de.thomasjacob.improve.logic.project.Project;
import de.thomasjacob.webcore.logic.Model;


/**
 * FIXME: Document this type.
 * 
 * @author Thomas
 */
public class Role extends Model
{
	private boolean developer;

	private boolean manager;

	private Project project;

	private boolean reporter;

	private User user;

	public Project getProject()
	{
		return this.project;
	}

	public User getUser()
	{
		return this.user;
	}

	public boolean isDeveloper()
	{
		return this.developer;
	}

	public boolean isManager()
	{
		return this.manager;
	}

	public boolean isReporter()
	{
		return this.reporter;
	}

	public void setDeveloper(boolean develop)
	{
		this.developer = develop;
	}

	public void setManager(boolean manage)
	{
		this.manager = manage;
	}

	public void setProject(Project project)
	{
		this.project = project;
	}

	public void setReporter(boolean reporter)
	{
		this.reporter = reporter;
	}

	public void setUser(User user)
	{
		this.user = user;
	}
}